OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TransposeMatrix

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTransposeMatrix :: MonadIO m => m Bool
- gl_ARB_transpose_matrix :: Bool
- gl_TRANSPOSE_COLOR_MATRIX_ARB :: GLenum
- gl_TRANSPOSE_MODELVIEW_MATRIX_ARB :: GLenum
- gl_TRANSPOSE_PROJECTION_MATRIX_ARB :: GLenum
- gl_TRANSPOSE_TEXTURE_MATRIX_ARB :: GLenum
- glLoadTransposeMatrixdARB :: MonadIO m => Ptr GLdouble -> m ()
- glLoadTransposeMatrixfARB :: MonadIO m => Ptr GLfloat -> m ()
- glMultTransposeMatrixdARB :: MonadIO m => Ptr GLdouble -> m ()
- glMultTransposeMatrixfARB :: MonadIO m => Ptr GLfloat -> m ()

# Extension Support

glGetARBTransposeMatrix :: MonadIO m => m Bool

Is the ARB_transpose_matrix extension supported?

gl_ARB_transpose_matrix :: Bool

Is the ARB_transpose_matrix extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTransposeMatrix` in those cases instead.

# Enums

gl_TRANSPOSE_COLOR_MATRIX_ARB :: GLenum

gl_TRANSPOSE_MODELVIEW_MATRIX_ARB :: GLenum

gl_TRANSPOSE_PROJECTION_MATRIX_ARB :: GLenum

gl_TRANSPOSE_TEXTURE_MATRIX_ARB :: GLenum

# Functions

glLoadTransposeMatrixdARB

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

This command is an alias for `glLoadTransposeMatrixd`.

glLoadTransposeMatrixfARB

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

This command is an alias for `glLoadTransposeMatrixf`.

glMultTransposeMatrixdARB

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

This command is an alias for `glMultTransposeMatrixd`.

glMultTransposeMatrixfARB

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

This command is an alias for `glMultTransposeMatrixf`.